# Uses of Class
net.shibboleth.idp.authn.principal.PrincipalEvalPredicateFactoryRegistration

Packages that use PrincipalEvalPredicateFactoryRegistration
Package
Description
net.shibboleth.idp.authn.principal
Classes supporting Java `Principal` usage.

## Uses of PrincipalEvalPredicateFactoryRegistration in net.shibboleth.idp.authn.principal

Constructor parameters in net.shibboleth.idp.authn.principal with type arguments of type PrincipalEvalPredicateFactoryRegistration
Modifier
Constructor
Description
``
`PrincipalEvalPredicateFactoryRegistry(Collection<PrincipalEvalPredicateFactoryRegistration> registrations)`
Constructor.